Skip to content

Create Registry Credentials

POST
/registry/credentials
curl --request POST \
--url https://api.mengi.cloud/registry/credentials

Generate new registry credentials for the current user.

Creates a Harbor project and robot account. The robot secret is only returned once - save it immediately!

Successful Response

Media type application/json
RegistryCredentialCreatedResponse

Response when credential is created (includes password once).

object
id
required
Id
string
registry_url
required
Registry Url
string
repository_prefix
required
Repository Prefix
string
username
required
Username
string
password
required
Password
string
docker_login_command
required
Docker Login Command
string
is_active
required
Is Active
boolean
created_at
required
Created At
string format: date-time
expires_at
Any of:
string format: date-time
Example generated
{
"id": "example",
"registry_url": "example",
"repository_prefix": "example",
"username": "example",
"password": "example",
"docker_login_command": "example",
"is_active": true,
"created_at": "2026-04-15T12:00:00Z",
"expires_at": "2026-04-15T12:00:00Z"
}